{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "XXX",
    "X X",
    "X X"
  ],
  "key": {
    "X": {
      "item": "km:bronze_ingot"
    }
  },
  "result": {
    "item": "km:bronze_leggings"
  }
}